SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID:    SUSE-SU-2020:1888-1
Rating:             important
References:         #1173376 #1173377 #1173378 #1173380 
Cross-References:   CVE-2020-15563 CVE-2020-15565 CVE-2020-15566
                    CVE-2020-15567
Affected Products:
                    SUSE Linux Enterprise Server for SAP 15
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for xen fixes the following issues:

   - CVE-2020-15563: Fixed inverted code paths in x86 dirty VRAM tracking
     (bsc#1173377).
   - CVE-2020-15565: Fixed insufficient cache write-back under VT-d
     (bsc#1173378).
   - CVE-2020-15566: Fixed incorrect error handling in event channel port
     allocation (bsc#1173376).
   - CVE-2020-15567: Fixed non-atomic modification of live EPT PTE
     (bsc#1173380).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-1888=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1888=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1888=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (x86_64):

      xen-4.10.4_12-3.35.1
      xen-debugsource-4.10.4_12-3.35.1
      xen-devel-4.10.4_12-3.35.1
      xen-libs-4.10.4_12-3.35.1
      xen-libs-debuginfo-4.10.4_12-3.35.1
      xen-tools-4.10.4_12-3.35.1
      xen-tools-debuginfo-4.10.4_12-3.35.1
      xen-tools-domU-4.10.4_12-3.35.1
      xen-tools-domU-debuginfo-4.10.4_12-3.35.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64):

      xen-4.10.4_12-3.35.1
      xen-debugsource-4.10.4_12-3.35.1
      xen-devel-4.10.4_12-3.35.1
      xen-libs-4.10.4_12-3.35.1
      xen-libs-debuginfo-4.10.4_12-3.35.1
      xen-tools-4.10.4_12-3.35.1
      xen-tools-debuginfo-4.10.4_12-3.35.1
      xen-tools-domU-4.10.4_12-3.35.1
      xen-tools-domU-debuginfo-4.10.4_12-3.35.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64):

      xen-4.10.4_12-3.35.1
      xen-debugsource-4.10.4_12-3.35.1
      xen-devel-4.10.4_12-3.35.1
      xen-libs-4.10.4_12-3.35.1
      xen-libs-debuginfo-4.10.4_12-3.35.1
      xen-tools-4.10.4_12-3.35.1
      xen-tools-debuginfo-4.10.4_12-3.35.1
      xen-tools-domU-4.10.4_12-3.35.1
      xen-tools-domU-debuginfo-4.10.4_12-3.35.1


References:

   https://www.suse.com/security/cve/CVE-2020-15563.html
   https://www.suse.com/security/cve/CVE-2020-15565.html
   https://www.suse.com/security/cve/CVE-2020-15566.html
   https://www.suse.com/security/cve/CVE-2020-15567.html
   https://bugzilla.suse.com/1173376
   https://bugzilla.suse.com/1173377
   https://bugzilla.suse.com/1173378
   https://bugzilla.suse.com/1173380

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates

SUSE: 2020:1888-1 important: xen

July 10, 2020
An update that fixes four vulnerabilities is now available

Summary

This update for xen fixes the following issues: - CVE-2020-15563: Fixed inverted code paths in x86 dirty VRAM tracking (bsc#1173377). - CVE-2020-15565: Fixed insufficient cache write-back under VT-d (bsc#1173378). - CVE-2020-15566: Fixed incorrect error handling in event channel port allocation (bsc#1173376). - CVE-2020-15567: Fixed non-atomic modification of live EPT PTE (bsc#1173380). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Server for SAP 15: zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-1888=1 - SUSE Linux Enterprise High Performance Computing 15-LTSS: zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1888=1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS: zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1888=1 Package List: - SUSE Linux Enterprise Server for SAP 15 (x86_64): xen-4.10.4_12-3.35.1 xen-debugsource-4.10.4_12-3.35.1 xen-devel-4.10.4_12-3.35.1 xen-libs-4.10.4_12-3.35.1 xen-libs-debuginfo-4.10.4_12-3.35.1 xen-tools-4.10.4_12-3.35.1 xen-tools-debuginfo-4.10.4_12-3.35.1 xen-tools-domU-4.10.4_12-3.35.1 xen-tools-domU-debuginfo-4.10.4_12-3.35.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64): xen-4.10.4_12-3.35.1 xen-debugsource-4.10.4_12-3.35.1 xen-devel-4.10.4_12-3.35.1 xen-libs-4.10.4_12-3.35.1 xen-libs-debuginfo-4.10.4_12-3.35.1 xen-tools-4.10.4_12-3.35.1 xen-tools-debuginfo-4.10.4_12-3.35.1 xen-tools-domU-4.10.4_12-3.35.1 xen-tools-domU-debuginfo-4.10.4_12-3.35.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64): xen-4.10.4_12-3.35.1 xen-debugsource-4.10.4_12-3.35.1 xen-devel-4.10.4_12-3.35.1 xen-libs-4.10.4_12-3.35.1 xen-libs-debuginfo-4.10.4_12-3.35.1 xen-tools-4.10.4_12-3.35.1 xen-tools-debuginfo-4.10.4_12-3.35.1 xen-tools-domU-4.10.4_12-3.35.1 xen-tools-domU-debuginfo-4.10.4_12-3.35.1

References

#1173376 #1173377 #1173378 #1173380

Cross- CVE-2020-15563 CVE-2020-15565 CVE-2020-15566

CVE-2020-15567

Affected Products:

SUSE Linux Enterprise Server for SAP 15

SUSE Linux Enterprise High Performance Computing 15-LTSS

SUSE Linux Enterprise High Performance Computing 15-ESPOS

https://www.suse.com/security/cve/CVE-2020-15563.html

https://www.suse.com/security/cve/CVE-2020-15565.html

https://www.suse.com/security/cve/CVE-2020-15566.html

https://www.suse.com/security/cve/CVE-2020-15567.html

https://bugzilla.suse.com/1173376

https://bugzilla.suse.com/1173377

https://bugzilla.suse.com/1173378

https://bugzilla.suse.com/1173380

Severity
Announcement ID: SUSE-SU-2020:1888-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo